Page MenuHomePhabricator

Abusefilter randomly misses blockreason
Closed, ResolvedPublic

Description

it.wiki's abusefilter has 'block' option enabled. For a couple of days it as been randomly missing blockreasons has can be seen here https://it.wikipedia.org/wiki/Speciale:Registri/Filtro_anti_abusi

Event Timeline

Vituzzu created this task.Jul 2 2016, 9:58 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 2 2016, 9:58 PM
Vituzzu updated the task description. (Show Details)Jul 13 2016, 7:34 PM
Daimona closed this task as Resolved.Mar 25 2018, 1:05 PM
Daimona claimed this task.
Daimona added a subscriber: Daimona.

This only happened between 29/06/2016 and 14/07/2016. Given the (almost) exact timing of 2 weeks, to me it looks like a bug introduced with a new software version and fixed 2 versions later. We may comb through histories to find it, but IMHO it's kind of unnecessary. May also be a side effect due to some other AF patch unrelated to blocks or a patch to Block class itself, but the AF block mechanism itself is fine.